Get a person by id
GET https://api.coactive.ai/api/v0/celebrity-detection/person/{person_id}Authentication
Section titled “Authentication”Authorizationheader (bearer token, required) — Bearer authentication of the formBearer <token>, where token is your auth token.
Request
Section titled “Request”Path parameters
Section titled “Path parameters”person_id(string, required)
Response
Section titled “Response”Successful Response
id(string, required) — Person IDname(string, required) — Person namealiases(list of string, required) — Person aliasesupload_ids(list of string, required) — Upload IDs of the person’s imagesingested_images(list of object, required) — Ingested images of the personcoactive_image_id(string, required)dataset_id(string, required)
status(enum, required) — Person status- Allowed values:
draft,active,failed,in_progress
- Allowed values:
created_user_id(string, required) — User ID who created the personcreated_dt(string, required) — Date and time the person was created
Errors
Section titled “Errors”422 Unprocessable Entity Error
Section titled “422 Unprocessable Entity Error”Validation Error
detail(list of object, optional)loc(list of string or integer, required)msg(string, required)type(string, required)
Examples
Section titled “Examples”Response
{ "id": "0d73b5d4-0f1b-11ed-861d-0242ac120002", "name": "John Doe", "aliases": [ "John Doe", "John Doe Jr." ], "upload_ids": [ "0d73b5d4-0f1b-11ed-861d-0242ac120002", "0d73b5d4-0f1b-11ed-861d-0242ac120003" ], "ingested_images": [ { "coactive_image_id": "0d73b5d4-0f1b-11ed-861d-0242ac120002", "dataset_id": "0d73b5d4-0f1b-11ed-861d-0242ac120003" } ], "status": "active", "created_user_id": "auth0|674fa0455c7cd29dd8e49ae3", "created_dt": "2025-12-10T12:07:32.066180+00:00"}SDK Code
import requests
url = "https://api.coactive.ai/api/v0/celebrity-detection/person/person_id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.coactive.ai/api/v0/celebrity-detection/person/person_id';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.coactive.ai/api/v0/celebrity-detection/person/person_id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}require 'uri'require 'net/http'
url = URI("https://api.coactive.ai/api/v0/celebrity-detection/person/person_id")
http = Net::HTTP.new(url.host, url.port)http.use_ssl = true
request = Net::HTTP::Get.new(url)request["Authorization"] = 'Bearer <token>'
response = http.request(request)puts response.read_bodyimport com.mashape.unirest.http.HttpResponse;import com.mashape.unirest.http.Unirest;
HttpResponse<String> response = Unirest.get("https://api.coactive.ai/api/v0/celebrity-detection/person/person_id") .header("Authorization", "Bearer <token>") .asString();<?phprequire_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.coactive.ai/api/v0/celebrity-detection/person/person_id', [ 'headers' => [ 'Authorization' => 'Bearer <token>', ],]);
echo $response->getBody();using RestSharp;
var client = new RestClient("https://api.coactive.ai/api/v0/celebrity-detection/person/person_id");var request = new RestRequest(Method.GET);request.AddHeader("Authorization", "Bearer <token>");IRestResponse response = client.Execute(request);import Foundation
let headers = ["Authorization": "Bearer <token>"]
let request = NSMutableURLRequest(url: NSURL(string: "https://api.coactive.ai/api/v0/celebrity-detection/person/person_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0)request.httpMethod = "GET"request.allHTTPHeaderFields = headers
let session = URLSession.sharedlet dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) }})
dataTask.resume()